Bug 125901 - [PATCH] CAN-2004-0554: FPU exception handling local DoS
Summary: [PATCH] CAN-2004-0554: FPU exception handling local DoS
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Ernie Petrides
QA Contact: Brian Brock
URL: http://reviewed.homelinux.org/news/20...
Whiteboard:
Keywords:
Depends On:
Blocks: 116727
TreeView+ depends on / blocked
 
Reported: 2004-06-13 16:53 UTC by Robert Scheck
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-18 00:59:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
linux-2.4.21-fpu.patch (1.82 KB, patch)
2004-06-14 19:16 UTC, Robert Scheck
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:255 normal SHIPPED_LIVE Important: kernel security update 2004-06-17 04:00:00 UTC

Description Robert Scheck 2004-06-13 16:53:29 UTC
Description of problem:
The problem is the same in RHEL3 as bug #125900 in Fedora Core 1.

Version-Release number of selected component (if applicable):
kernel-2.4.21-15.EL

Additional info:
I only tested that crash code at i586, i686 and athlon.

Comment 1 Robert Scheck 2004-06-14 19:16:54 UTC
Created attachment 101121 [details]
linux-2.4.21-fpu.patch

This patch worked for me at i586, i686 and athlon including x86_64 and some 
SMP systems.

Comment 2 Ernie Petrides 2004-06-14 22:57:51 UTC
Thanks for the patch.


Comment 3 Robert Scheck 2004-06-15 08:44:27 UTC
Allocated as CAN-2004-0554

Comment 4 Ernie Petrides 2004-06-15 10:12:53 UTC
A fix for this problem has just been committed to the RHEL3 U3
patch pool this evening (in kernel version 2.4.21-15.11.EL).

I will update this bug report again as soon as a (pre-U3)
security advisory is available.


Comment 5 Jay Turner 2004-06-18 00:59:37 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-255.html



Note You need to log in before you can comment on or make changes to this bug.